org.apache.ignite.internal.processors.query

## Enum GridQueryIndexType

- java.lang.Object
- - java.lang.Enum<GridQueryIndexType>
  - - org.apache.ignite.internal.processors.query.GridQueryIndexType

All Implemented Interfaces:
  Serializable, Comparable<GridQueryIndexType>

    public enum GridQueryIndexType
    extends Enum<GridQueryIndexType>

Index types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULLTEXT` Fulltext index.
`GEO_SPATIAL` Spatial SQL index.
`SORTED` Sorted SQL index.

### Method Summary

Methods
`static GridQueryIndexType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridQueryIndexType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SORTED

    public static final GridQueryIndexType SORTED

Sorted SQL index.

#### GEO_SPATIAL

    public static final GridQueryIndexType GEO_SPATIAL

Spatial SQL index.

#### FULLTEXT

    public static final GridQueryIndexType FULLTEXT

Fulltext index.

### Method Detail

#### values

    public static GridQueryIndexType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridQueryIndexType c : GridQueryIndexType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridQueryIndexType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015